(function (cjs, an) {

var p; // shortcut to reference prototypes
var lib={};var ss={};var img={};
lib.ssMetadata = [];


(lib.AnMovieClip = function(){
	this.actionFrames = [];
	this.ignorePause = false;
	this.gotoAndPlay = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndPlay.call(this,positionOrLabel);
	}
	this.play = function(){
		cjs.MovieClip.prototype.play.call(this);
	}
	this.gotoAndStop = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndStop.call(this,positionOrLabel);
	}
	this.stop = function(){
		cjs.MovieClip.prototype.stop.call(this);
	}
}).prototype = p = new cjs.MovieClip();
// symbols:



(lib._2t1 = function() {
	this.initialize(img._2t1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,737,153);


(lib.BG = function() {
	this.initialize(img.BG);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1160,250);


(lib.BG1 = function() {
	this.initialize(img.BG1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,841,137);


(lib.BG2 = function() {
	this.initialize(img.BG2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,488,463);


(lib.replay_btn = function() {
	this.initialize(img.replay_btn);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,14,14);


(lib.Logo = function() {
	this.initialize(img.Logo);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1221,189);


(lib.t1 = function() {
	this.initialize(img.t1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,737,141);


(lib.t2 = function() {
	this.initialize(img.t2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,734,92);


(lib.t3 = function() {
	this.initialize(img.t3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,362,72);


(lib.t4 = function() {
	this.initialize(img.t4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,344,70);// helper functions:

function mc_symbol_clone() {
	var clone = this._cloneProps(new this.constructor(this.mode, this.startPosition, this.loop, this.reversed));
	clone.gotoAndStop(this.currentFrame);
	clone.paused = this.paused;
	clone.framerate = this.framerate;
	return clone;
}

function getMCSymbolPrototype(symbol, nominalBounds, frameBounds) {
	var prototype = cjs.extend(symbol, cjs.MovieClip);
	prototype.clone = mc_symbol_clone;
	prototype.nominalBounds = nominalBounds;
	prototype.frameBounds = frameBounds;
	return prototype;
	}


(lib.Symbol17 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib._2t1();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,737,153);


(lib.Symbol15 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.BG();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,1160,250);


(lib.Symbol13 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.BG1();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,841,137);


(lib.Symbol11 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.BG2();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,488,463);


(lib.Symbol9 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Logo();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,1221,189);


(lib.Symbol7 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.t1();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,737,141);


(lib.Symbol5 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.t2();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,734,92);


(lib.Symbol3 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.t3();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,362,72);


(lib.Symbol1 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.t4();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,344,70);


(lib.Symbol3copy5 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#000000").ss(1,1,1).p("Egq9gfPMBV7AAAMAAAA+fMhV7AAAg");
	this.shape.setTransform(275,200);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#993300").s().p("Egq9AfQMAAAg+fMBV7AAAMAAAA+fg");
	this.shape_1.setTransform(275,200);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[]}).to({state:[{t:this.shape_1},{t:this.shape}]},3).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-1,-1,552,402);


(lib.Symbol3copy4 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.replay_btn();
	this.instance.setTransform(14,0,1,1,0,0,180);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.Symbol3copy4, new cjs.Rectangle(0,0,14,14), null);


(lib.Symbol18 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol17("synched",0);
	this.instance.setTransform(170.05,100,0.3455,0.3455,0,0,0,170.1,100);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({regX:170,scaleX:1,scaleY:1,x:170,alpha:1},19,cjs.Ease.get(1)).wait(10).to({startPosition:0},0).to({scaleX:1.095,scaleY:1.095},6).to({scaleX:1,scaleY:1},6).to({scaleX:1.095,scaleY:1.095},6).to({scaleX:1,scaleY:1},6).wait(66).to({startPosition:0},0).to({_off:true},1).wait(460));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-16.1,-9.5,807,167.6);


(lib.Symbol16 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol15("synched",0);
	this.instance.setTransform(187.5,375,1,1,0,0,0,187.5,375);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,1160,250);


(lib.Symbol14 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_2 (mask)
	var mask = new cjs.Shape();
	mask._off = true;
	var mask_graphics_0 = new cjs.Graphics().p("Egi3AMjIAA5FMBFwAAAIAAZFg");
	var mask_graphics_238 = new cjs.Graphics().p("Egi3AMjIAA5FMBFwAAAIAAZFg");

	this.timeline.addTween(cjs.Tween.get(mask).to({graphics:mask_graphics_0,x:702.65,y:73.1}).wait(238).to({graphics:mask_graphics_238,x:702.65,y:73.1}).wait(1).to({graphics:null,x:0,y:0}).wait(1));

	// Layer_1
	this.instance = new lib.Symbol13("synched",0);
	this.instance.setTransform(515.4,68.5,1,1,0,0,0,420.5,68.5);

	var maskedShapeInstanceList = [this.instance];

	for(var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
		maskedShapeInstanceList[shapedInstanceItr].mask = mask;
	}

	this.timeline.addTween(cjs.Tween.get(this.instance).to({x:790.9},238).to({_off:true},1).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(479.4,0,446.5,137);


(lib.Symbol12 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol11("synched",0);
	this.instance.setTransform(231.8,226.6,1,1,0,0,0,231.8,226.6);

	this.timeline.addTween(cjs.Tween.get(this.instance).to({rotation:-718.4952},238).to({_off:true},1).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-116.8,-122,697.1999999999999,697.3);


(lib.Symbol10 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol9("synched",0);
	this.instance.setTransform(205,-44.35,1,1,0,0,0,205,75.5);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({y:75.5,alpha:1},19,cjs.Ease.get(1)).wait(219).to({startPosition:0},0).to({_off:true},1).wait(216));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,-119.8,1221,308.8);


(lib.Symbol8 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol7("synched",0);
	this.instance.setTransform(181.55,107.55,0.2195,0.2195,0,0,0,181.6,107.5);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({regX:181.5,scaleX:1,scaleY:1,x:181.5,y:107.5,alpha:1},19,cjs.Ease.get(1)).wait(8).to({startPosition:0},0).to({scaleX:1.0829,scaleY:1.0829,x:181.55},6).to({scaleX:1,scaleY:1,x:181.5},6).to({scaleX:1.0829,scaleY:1.0829,x:181.55},6).to({scaleX:1,scaleY:1,x:181.5},6).wait(48).to({startPosition:0},0).to({alpha:0},10).wait(119).to({startPosition:0},0).to({_off:true},1).wait(234));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-15,-8.9,798.1,152.70000000000002);


(lib.Symbol6 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol5("synched",0);
	this.instance.setTransform(-13,60,1,1,0,0,0,183,60);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({x:183,alpha:1},19,cjs.Ease.get(1)).wait(35).to({startPosition:0},0).to({scaleX:1.0691,scaleY:1.0691,x:183.05,y:60.05},6).to({startPosition:0},16).to({scaleX:1,scaleY:1,x:183,y:60},6).wait(146).to({startPosition:0},0).to({_off:true},1).wait(318));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-196,-4.1,968.2,98.5);


(lib.Symbol4 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol3("synched",0);
	this.instance.setTransform(158.5,167.65,1,1,0,0,0,158.5,59.5);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({y:59.5,alpha:1},19,cjs.Ease.get(1)).wait(53).to({startPosition:0},0).to({scaleX:1.1177,scaleY:1.1177,x:158.55},6).to({startPosition:0},14).to({scaleX:1,scaleY:1,x:158.5},6).wait(1).to({startPosition:0},0).to({alpha:0},10).wait(119).to({startPosition:0},0).to({_off:true},1).wait(338));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-18.6,-7,404.6,187.2);


(lib.Symbol2 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol1("synched",0);
	this.instance.setTransform(132,137.25,1,1,0,0,0,132,45);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({y:45,alpha:1},19,cjs.Ease.get(1)).wait(34).to({startPosition:0},0).to({regX:131.9,scaleX:1.1246,scaleY:1.1246,x:131.95},6).to({startPosition:0},13).to({regX:132,scaleX:1,scaleY:1,x:132},6).wait(41).to({startPosition:0},0).to({_off:true},1).wait(330));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-16.4,-5.6,386.9,167.9);


(lib.Symbol1aa = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	this.isSingleFrame = false;
	// timeline functions:
	this.frame_0 = function() {
		if(this.isSingleFrame) {
			return;
		}
		if(this.totalFrames == 1) {
			this.isSingleFrame = true;
		}
		//U3RhcnRTeW1ib2xBZG1pY3JvfHxMYW5kaW5nfHx2ZXIyLjB8fDIwMjF8fEVuZFN5bWJvbEFkbWljcm8=
		
		var self = this;
		self.landingForm.addEventListener("click", onClickLanding)
		
		var getQuery = function (a) {
			var v = '';
			if (a = (new RegExp('[?&]' + encodeURIComponent(a) + '=([^&]*)')).exec(location.search)) {
				v = decodeURIComponent(a[1]);
			}
			return v;
		};
		
		var getLocation=window.location.hostname;
		var admid = getQuery('admid');
		var admRET = getQuery('ret');
		var admURL = getQuery('url');
		var linkLanding;
		
		if (admRET != null && admRET != '' && admRET !== "undefined") {
			linkLanding = admRET;
		} else if (admURL != null && admURL != '' && admURL !== "undefined") {
			linkLanding = admURL;
		} else if (getLocation == "min.admicro.vn"||getLocation=="127.0.0.1"||getLocation=="localhost") {
			linkLanding = "https://admicro.vn/";
		}
		
		if (admid == null || admid == '' || admid === "undefined") {
			admid = 'app_popup_native';
		}
		
		function onClickLanding(e) {
			if (window.event.which != 1) return;
		
			if (linkLanding != null && linkLanding != '' && linkLanding !== "undefined") {
				window.open(linkLanding, '_blank');
				try {
					parent.postMessage({
						'target': 'superitvc_post_message',
						'event': 'clickAddon'
					}, '*');
				} catch (err) {}
			} else {
				parent.postMessage("click_" + admid, "*");
			}
		
		}
		
		var strChangeDomain = 'cdnstoremedia.com';
		strLink = "https://";
		var domain = document.domain;
		
		if (domain == "" || domain.indexOf('localhost') != -1 || domain.indexOf('127.0.0.1') != -1 || domain.indexOf('admicro.vn') != -1 || domain.indexOf('vcmedia.vn') != -1 || domain.indexOf('doubleclick.net') != -1 || domain.indexOf('yomedia.vn') != -1 || domain.indexOf('2mdn.net') != -1 || domain.indexOf('googlesyndication.com') != -1 || domain.indexOf('googleadservices.com') != -1 || domain.indexOf('adsrvr.org') != -1 || domain.indexOf('serving-sys.com') != -1 || domain.indexOf('appspot.com') != -1 || domain.indexOf('surfcountor.com') != -1) {
			strChangeDomain = 'cdnstoremedia.com';
		} else {
			strLink = '';
			strChangeDomain = '';
		}
		
		if (typeof (window.fDisplay) != "undefined") {
			if(window.fDisplay==="pc"){
				var loadLibFuncBoxapp = document.createElement("script");
				loadLibFuncBoxapp.src = strLink+strChangeDomain+'/adt/banners/nam2015/2033/func-boxapp-html.js';
				document.head.appendChild(loadLibFuncBoxapp);
			}
		}
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// Layer_1
	this.landingForm = new lib.Symbol3copy5();
	this.landingForm.name = "landingForm";
	this.landingForm.setTransform(275,200,1,1,0,0,0,275,200);
	new cjs.ButtonHelper(this.landingForm, 0, 1, 2, false, new lib.Symbol3copy5(), 3);

	this.timeline.addTween(cjs.Tween.get(this.landingForm).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.Symbol1aa, new cjs.Rectangle(-1,-1,552,402), null);


(lib.GrBtnReplay = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	this.isSingleFrame = false;
	// timeline functions:
	this.frame_0 = function() {
		if(this.isSingleFrame) {
			return;
		}
		if(this.totalFrames == 1) {
			this.isSingleFrame = true;
		}
		//U3RhcnRTeW1ib2xBZG1pY3JvfHxCdXR0b24tUmVwbGF5fHx2ZXIxLjAuMnx8MjAyMXx8RW5kU3ltYm9sQWRtaWNybw==
		
		
		window.checkShowRep = false;
		var self = this;
		var posClose = self.localToGlobal(self.mcPos.x, self.mcPos.y);
		var currentLocation = window.location;
		var urlClose;
		var color_pick = "#333333";
		var showChildrenRep = false;
		self.name = "mcReplay";
		self.mcPos.visible = false;
		window.main = this.parent;
		var isMainStop = false;
		
		////console.log("self.mcPos", self.mcPos, self.mcPos.filters[0].blueOffset, self.mcPos.filters[0].greenOffset, self.mcPos.filters[0].redOffset)
		if (self.mcPos.filters && self.mcPos.filters[0]) {
			var rgbToHex = function (rgb) {
				var hex = Number(rgb).toString(16);
				if (hex.length < 2) {
					hex = "0" + hex;
				}
				return hex;
			};
			function changeRGB(r, g, b) {
				var red = rgbToHex(r);
				var green = rgbToHex(g);
				var blue = rgbToHex(b);
				return red + green + blue;
			};
		
			color_pick = "#" + changeRGB(self.mcPos.filters[0].redOffset, self.mcPos.filters[0].greenOffset, self.mcPos.filters[0].blueOffset);
		}
		
		if (currentLocation.hostname.toString() == "127.0.0.1") {
			var wrapper = document.createElement("DIV");
			wrapper.id = "replayCover";
			wrapper.style.position = "absolute";
			wrapper.style.zIndex = 6;
			wrapper.style.width = self.mcPos.nominalBounds.width * self.mcPos.scaleX + "px";
			wrapper.style.height = self.mcPos.nominalBounds.height * self.mcPos.scaleY + "px";
			document.getElementById("animation_container").appendChild(wrapper);
			var replayBtn = document.createElement("DIV");
			replayBtn.id = "bg_replay";
			replayBtn.style.width = "100%";
			replayBtn.style.height = "100%";
			replayBtn.style.position = "absolute";
			replayBtn.style.cursor = "pointer";
			replayBtn.style.visibility = "hidden";
			replayBtn.style.display = "none";
			replayBtn.style.zIndex = "6";
			document.getElementById("replayCover").appendChild(replayBtn)
		}
		
		if (document.getElementById("replayCover") && document.getElementById("bg_replay")) {
			////console.log("vao chinh rep", window.wrapper);
		
			//document.getElementById("replayCover").style.width = self.mcPos.nominalBounds.width + "px";
			//document.getElementById("replayCover").style.height = self.mcPos.nominalBounds.height + "px";
			document.getElementById("replayCover").style.width = self.mcPos.nominalBounds.width * self.mcPos.scaleX + "px";
			document.getElementById("replayCover").style.height = self.mcPos.nominalBounds.height * self.mcPos.scaleY + "px";
			document.getElementById("replayCover").style.left = posClose.x + "px";
			document.getElementById("replayCover").style.top = posClose.y + "px";
			document.getElementById("replayCover").style.zIndex = "6";
			document.getElementById("bg_replay").style.zIndex = "6";
			document.getElementById("bg_replay").innerHTML = '<?xml version="1.0" encoding="iso-8859-1"?><svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg"  xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 305.836 305.836" style="enable-background:new 0 0 305.836 305.836;display:block;" xml:space="preserve"><g><path id="rep" d="M152.924,300.748c84.319,0,152.912-68.6,152.912-152.918c0-39.476-15.312-77.231-42.346-105.564c0,0,3.938-8.857,8.814-19.783c4.864-10.926-2.138-18.636-15.648-17.228l-79.125,8.289c-13.511,1.411-17.999,11.467-10.021,22.461l46.741,64.393c7.986,10.992,17.834,12.31,22.008,2.937l7.56-16.964c12.172,18.012,18.976,39.329,18.976,61.459c0,60.594-49.288,109.875-109.87,109.875c-60.591,0-109.882-49.287-109.882-109.875c0-19.086,4.96-37.878,14.357-54.337c5.891-10.325,2.3-23.467-8.025-29.357c-10.328-5.896-23.464-2.3-29.36,8.031C6.923,95.107,0,121.27,0,147.829C0,232.148,68.602,300.748,152.924,300.748z"/></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g></svg><style>#rep{fill: ' + color_pick + ' !important}</style>';
			document.getElementById("bg_replay").addEventListener("click", onClickRepDom);
		}
		
		
		
		function onClickRepDom() {
			window.eventRep();
			createjs.Ticker.addEventListener('tick', stage);
		}
		
		window.eventRep = function () {
			isMainStop = false;
			window.isCompleteVideo = false;
			main.gotoAndPlay(0);
			for (var i = 0; i < main.children.length; i++) {
				if (main.children[i].currentFrame > 0) {
					main.children[i].gotoAndPlay(0);
				}
			}
			window.showReplay(false);
			if (typeof window.initVideo == 'function') {
				////console.log("window.initVideo")
				window.initVideo();
			}
			
			if (typeof window.initForm == 'function') {
				////console.log("window.initVideo")
				window.initForm();
			}
			createjs.Ticker.addEventListener("tick", handleTick);
		}
		window.showReplay = function (check) {
			onShowHideButtonRep(check);
		}
		
		
		
		window.initRep = function () {
			isMainStop = false;
			showChildrenRep = false;
			createjs.Ticker.addEventListener("tick", handleTick);
		}
		
		function onShowHideButtonRep(check) {
			window.checkShowRep = check;
			if (check) {
				if (document.getElementById("bg_replay")) {
					document.getElementById("bg_replay").style.visibility = "visible";
					document.getElementById("bg_replay").style.display = "block";
				}
				if(!document.getElementById("box-form")){
					createjs.Ticker.removeEventListener('tick', stage);
				}
			} else {
				if (document.getElementById("bg_replay")) {
					document.getElementById("bg_replay").style.visibility = "hidden";
					document.getElementById("bg_replay").style.display = "none";
				}
				createjs.Ticker.addEventListener('tick', stage);
			}
		}
		
		
		
		function handleTick(e) {
			//console.log("window.main.currentFrame: ", window.main.currentFrame, "window.main.duration: ", window.main.duration)
			if (window.main.currentFrame == (window.main.duration - 1) && !isMainStop) {
				isMainStop = true;
				window.main.stop();
				if (document.getElementById("box-video-dom") && window.playVideo) {
					window.showReplay(false);
				} else {
					window.showReplay(true);
				}
		
				createjs.Ticker.removeEventListener("tick", handleTick);
			}
		}
		
		console.log("vao day 1")
		window.main.stop();
		if (!document.getElementById("box-video-dom")) {
			window.showReplay(true);
		}
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// Layer_1
	this.mcPos = new lib.Symbol3copy4();
	this.mcPos.name = "mcPos";
	this.mcPos.setTransform(0,0,0.7143,0.7143);
	var mcPosFilter_1 = new cjs.ColorFilter(0,0,0,1,51,0,51,0);
	this.mcPos.filters = [mcPosFilter_1];
	this.mcPos.cache(-2,-2,18,18);

	this.timeline.addTween(cjs.Tween.get(this.mcPos).wait(1));
	this.timeline.addTween(cjs.Tween.get(mcPosFilter_1).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.GrBtnReplay, new cjs.Rectangle(0,0,10,10), null);


// stage content:
(lib._1160x250 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// button
	this.instance = new lib.GrBtnReplay();
	this.instance.setTransform(1149.55,241.65,1,1,0,0,0,7,7);
	this.instance._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(238).to({_off:false},0).wait(1));
	this.instance.addEventListener("tick", AdobeAn.handleFilterCache);

	// code
	this.boDem = new lib.Symbol1aa();
	this.boDem.name = "boDem";
	this.boDem.setTransform(657.2,658.3,2.4436,3.3597,0,0,0,274.9,199.8);

	this.timeline.addTween(cjs.Tween.get(this.boDem).wait(239));

	// __t1_png
	this.instance_1 = new lib.Symbol18("synched",0);
	this.instance_1.setTransform(589.45,113.25,0.9837,0.9837,0,0,0,170.2,100);
	this.instance_1._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(119).to({_off:false},0).wait(120));

	// t4_png
	this.instance_2 = new lib.Symbol2("synched",0);
	this.instance_2.setTransform(147.45,201.2,1.0885,1.0885,0,0,0,132,45.1);
	this.instance_2._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_2).wait(119).to({_off:false},0).wait(120));

	// t3_png
	this.instance_3 = new lib.Symbol4("synched",0);
	this.instance_3.setTransform(8.85,152.35,1.0559,1.0559);
	this.instance_3._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_3).wait(10).to({_off:false},0).wait(229));

	// t2_png
	this.instance_4 = new lib.Symbol6("synched",0);
	this.instance_4.setTransform(597.25,201.15,0.9846,0.9846,0,0,0,183.1,60.1);
	this.instance_4._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_4).wait(10).to({_off:false},0).wait(229));

	// t1_png
	this.instance_5 = new lib.Symbol8("synched",0);
	this.instance_5.setTransform(588,118.25,0.9974,0.9974,0,0,0,181.7,107.7);
	this.instance_5._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_5).wait(10).to({_off:false},0).wait(229));

	// Logo_png
	this.instance_6 = new lib.Symbol10("synched",0);
	this.instance_6.setTransform(162,41.5,1.0095,1.0095,0,0,0,204.9,75.3);

	this.timeline.addTween(cjs.Tween.get(this.instance_6).wait(239));

	// BG2_png
	this.instance_7 = new lib.Symbol12("synched",0);
	this.instance_7.setTransform(1003.95,145.35,0.9733,0.9733,0,0,0,231.7,225.2);

	this.timeline.addTween(cjs.Tween.get(this.instance_7).wait(239));

	// BG1_png
	this.instance_8 = new lib.Symbol14("synched",0);
	this.instance_8.setTransform(-54.65,186.15,0.8221,0.8221,0,0,0,420.4,68.5);

	this.timeline.addTween(cjs.Tween.get(this.instance_8).wait(239));

	// BG_jpg
	this.instance_9 = new lib.Symbol16("synched",0);
	this.instance_9.setTransform(150,300.1,1,1,0,0,0,150,300.1);

	this.timeline.addTween(cjs.Tween.get(this.instance_9).wait(239));

	this._renderFirstFrame();

}).prototype = p = new lib.AnMovieClip();
p.nominalBounds = new cjs.Rectangle(535.2,-67.6,808.0999999999999,553.7);
// library properties:
lib.properties = {
	id: 'B03C5C9D7697EC43BA095398F7700A28',
	width: 1160,
	height: 250,
	fps: 30,
	color: "#FFFFFF",
	opacity: 1.00,
	manifest: [
		{src:"images/_2t1.png?1775470568537", id:"_2t1"},
		{src:"images/BG.jpg?1775470568537", id:"BG"},
		{src:"images/BG1.png?1775470568537", id:"BG1"},
		{src:"images/BG2.png?1775470568537", id:"BG2"},
		{src:"images/replay_btn.png?1775470568537", id:"replay_btn"},
		{src:"images/Logo.png?1775470568537", id:"Logo"},
		{src:"images/t1.png?1775470568537", id:"t1"},
		{src:"images/t2.png?1775470568537", id:"t2"},
		{src:"images/t3.png?1775470568537", id:"t3"},
		{src:"images/t4.png?1775470568537", id:"t4"}
	],
	preloads: []
};



// bootstrap callback support:

(lib.Stage = function(canvas) {
	createjs.Stage.call(this, canvas);
}).prototype = p = new createjs.Stage();

p.setAutoPlay = function(autoPlay) {
	this.tickEnabled = autoPlay;
}
p.play = function() { this.tickEnabled = true; this.getChildAt(0).gotoAndPlay(this.getTimelinePosition()) }
p.stop = function(ms) { if(ms) this.seek(ms); this.tickEnabled = false; }
p.seek = function(ms) { this.tickEnabled = true; this.getChildAt(0).gotoAndStop(lib.properties.fps * ms / 1000); }
p.getDuration = function() { return this.getChildAt(0).totalFrames / lib.properties.fps * 1000; }

p.getTimelinePosition = function() { return this.getChildAt(0).currentFrame / lib.properties.fps * 1000; }

an.bootcompsLoaded = an.bootcompsLoaded || [];
if(!an.bootstrapListeners) {
	an.bootstrapListeners=[];
}

an.bootstrapCallback=function(fnCallback) {
	an.bootstrapListeners.push(fnCallback);
	if(an.bootcompsLoaded.length > 0) {
		for(var i=0; i<an.bootcompsLoaded.length; ++i) {
			fnCallback(an.bootcompsLoaded[i]);
		}
	}
};

an.compositions = an.compositions || {};
an.compositions['B03C5C9D7697EC43BA095398F7700A28'] = {
	getStage: function() { return exportRoot.stage; },
	getLibrary: function() { return lib; },
	getSpriteSheet: function() { return ss; },
	getImages: function() { return img; }
};

an.compositionLoaded = function(id) {
	an.bootcompsLoaded.push(id);
	for(var j=0; j<an.bootstrapListeners.length; j++) {
		an.bootstrapListeners[j](id);
	}
}

an.getComposition = function(id) {
	return an.compositions[id];
}


an.makeResponsive = function(isResp, respDim, isScale, scaleType, domContainers) {		
	var lastW, lastH, lastS=1;		
	window.addEventListener('resize', resizeCanvas);		
	resizeCanvas();		
	function resizeCanvas() {			
		var w = lib.properties.width, h = lib.properties.height;			
		var iw = window.innerWidth, ih=window.innerHeight;			
		var pRatio = window.devicePixelRatio || 1, xRatio=iw/w, yRatio=ih/h, sRatio=1;			
		if(isResp) {                
			if((respDim=='width'&&lastW==iw) || (respDim=='height'&&lastH==ih)) {                    
				sRatio = lastS;                
			}				
			else if(!isScale) {					
				if(iw<w || ih<h)						
					sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==1) {					
				sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==2) {					
				sRatio = Math.max(xRatio, yRatio);				
			}			
		}
		domContainers[0].width = w * pRatio * sRatio;			
		domContainers[0].height = h * pRatio * sRatio;
		domContainers.forEach(function(container) {				
			container.style.width = w * sRatio + 'px';				
			container.style.height = h * sRatio + 'px';			
		});
		stage.scaleX = pRatio*sRatio;			
		stage.scaleY = pRatio*sRatio;
		lastW = iw; lastH = ih; lastS = sRatio;            
		stage.tickOnUpdate = false;            
		stage.update();            
		stage.tickOnUpdate = true;		
	}
}
an.handleSoundStreamOnTick = function(event) {
	if(!event.paused){
		var stageChild = stage.getChildAt(0);
		if(!stageChild.paused || stageChild.ignorePause){
			stageChild.syncStreamSounds();
		}
	}
}
an.handleFilterCache = function(event) {
	if(!event.paused){
		var target = event.target;
		if(target){
			if(target.filterCacheList){
				for(var index = 0; index < target.filterCacheList.length ; index++){
					var cacheInst = target.filterCacheList[index];
					if((cacheInst.startFrame <= target.currentFrame) && (target.currentFrame <= cacheInst.endFrame)){
						cacheInst.instance.cache(cacheInst.x, cacheInst.y, cacheInst.w, cacheInst.h);
					}
				}
			}
		}
	}
}


})(createjs = createjs||{}, AdobeAn = AdobeAn||{});
var createjs, AdobeAn;